// Code generated by go-swagger; DO NOT EDIT.

package events

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"net/http"

	"github.com/go-openapi/runtime"
)

// TicketTypeRequestOKCode is the HTTP code returned for type TicketTypeRequestOK
const TicketTypeRequestOKCode int = 200

/*TicketTypeRequestOK JSONResponse struct

swagger:response ticketTypeRequestOK
*/
type TicketTypeRequestOK struct {
	/*

	 */
	Description string `json:"description"`
	/*

	 */
	Status string `json:"status"`
}

// NewTicketTypeRequestOK creates TicketTypeRequestOK with default headers values
func NewTicketTypeRequestOK() *TicketTypeRequestOK {

	return &TicketTypeRequestOK{}
}

// WithDescription adds the description to the ticket type request o k response
func (o *TicketTypeRequestOK) WithDescription(description string) *TicketTypeRequestOK {
	o.Description = description
	return o
}

// SetDescription sets the description to the ticket type request o k response
func (o *TicketTypeRequestOK) SetDescription(description string) {
	o.Description = description
}

// WithStatus adds the status to the ticket type request o k response
func (o *TicketTypeRequestOK) WithStatus(status string) *TicketTypeRequestOK {
	o.Status = status
	return o
}

// SetStatus sets the status to the ticket type request o k response
func (o *TicketTypeRequestOK) SetStatus(status string) {
	o.Status = status
}

// WriteResponse to the client
func (o *TicketTypeRequestOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	// response header description

	description := o.Description
	if description != "" {
		rw.Header().Set("description", description)
	}

	// response header status

	status := o.Status
	if status != "" {
		rw.Header().Set("status", status)
	}

	rw.Header().Del(runtime.HeaderContentType) //Remove Content-Type on empty responses

	rw.WriteHeader(200)
}
